# azure.mgmt.scheduler.operations module

class `azure.mgmt.scheduler.operations.``JobCollectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobCollectionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(resource_group_name, job_collection_name, job_collection, custom_headers=None, raw=False, **operation_config)

    Provisions a new job collection or updates an existing job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_collection (`JobCollectionDefinition`) – The job collection definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobCollectionDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, job_collection_name, custom_headers=None, raw=False, **operation_config)

    Deletes a job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `disable`(resource_group_name, job_collection_name, custom_headers=None, raw=False, **operation_config)

    Disables all of the jobs in the job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `enable`(resource_group_name, job_collection_name, custom_headers=None, raw=False, **operation_config)

    Enables all of the jobs in the job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, job_collection_name, custom_headers=None, raw=False, **operation_config)

    Gets a job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobCollectionDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all job collections under specified resource group.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobCollectionDefinitionPaged`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Gets all job collections under specified subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobCollectionDefinitionPaged`

  `patch`(resource_group_name, job_collection_name, job_collection, custom_headers=None, raw=False, **operation_config)

    Patches an existing job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_collection (`JobCollectionDefinition`) – The job collection definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobCollectionDefinition`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.scheduler.operations.``JobsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(resource_group_name, job_collection_name, job_name, job, custom_headers=None, raw=False, **operation_config)

    Provisions a new job or updates an existing job.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - job (`JobDefinition`) – The job definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, job_collection_name, job_name, custom_headers=None, raw=False, **operation_config)

    Deletes a job.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, job_collection_name, job_name, custom_headers=None, raw=False, **operation_config)

    Gets a job.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, job_collection_name, top=None, skip=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists all jobs under the specified job collection.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - top (int) – The number of jobs to request, in the of range [1..100].
    - skip (int) – The (0-based) index of the job history list from which to begin requesting entries.
    - filter (str) – The filter to apply on the job state.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobDefinitionPaged`

  `list_job_history`(resource_group_name, job_collection_name, job_name, top=None, skip=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Lists job history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - top (int) – the number of job history to request, in the of range [1..100].
    - skip (int) – The (0-based) index of the job history list from which to begin requesting entries.
    - filter (str) – The filter to apply on the job state.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobHistoryDefinitionPaged`

  `patch`(resource_group_name, job_collection_name, job_name, job, custom_headers=None, raw=False, **operation_config)

    Patches an existing job.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - job (`JobDefinition`) – The job definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `JobDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `run`(resource_group_name, job_collection_name, job_name, custom_headers=None, raw=False, **operation_config)

    Runs a job.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - job_collection_name (str) – The job collection name.
    - job_name (str) – The job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true